\documentclass{article}
\usepackage[utf8]{inputenc}
\usepackage{amsmath, amsthm, amssymb}

\begin{document}
We can align a sequence of equations.
\begin{align*}
  (x+y)\cdot(x+y) &= xx+xy+yx+yy    \\
                  &= x^2+2xy+y^2    \\
                  &\geq 2xy
\end{align*}

This matrix multiplication would stick into the margin so we 
split it at the equals sign.
\begin{multline*}
  AB=\begin{pmatrix}
    a_{1,1} &a_{1,2} \\
    a_{2,1} &a_{2,2}
  \end{pmatrix}
  \begin{pmatrix}
    b_{1,1} &b_{1,2} \\
    b_{2,1} &b_{2,2}
  \end{pmatrix}                                 \\
  =
  \begin{pmatrix}
    a_{1,1}b_{1,1}+a_{1,2}b_{2,1} &a_{1,1}b_{1,2}+a_{1,2}b_{2,2} \\
    a_{2,1}b_{1,1}+a_{2,2}b_{2,1} &a_{2,1}b_{1,2}+a_{2,2}b_{2,2}
  \end{pmatrix}
\end{multline*}
\end{document}     
